# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::FBOAbstractTextureAttachment Class Reference

Base class for all the framebuffer texture attachments (see also FramebufferObject). More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOAbstractTextureAttachment:

List of all members.

## Public Member Functions

| FBOAbstractTextureAttachment (Texture *texture, int mipmap_level)
| Constructor.
void | setTexture (Texture *texture)
| The texture bound to this attachment.
Texture * | texture ()
| The texture bound to this attachment.
const Texture * | texture () const
| The texture bound to this attachment.
void | setMipmapLevel (int mipmap_level)
| The mipmap level of the texture to attach.
int | mipmapLevel () const
| The mipmap level of the texture to attach.

## Protected Attributes

ref< Texture > | mTexture
int | mMipmapLevel

## Detailed Description

Base class for all the framebuffer texture attachments (see also FramebufferObject).

Definition at line 308 of file FramebufferObject.hpp.

## Constructor & Destructor Documentation

vl::FBOAbstractTextureAttachment::FBOAbstractTextureAttachment | ( | Texture * | texture,
|  | int | mipmap_level
| ) |  | `[inline]`

Constructor.

Definition at line 314 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

void vl::FBOAbstractTextureAttachment::setTexture | ( | Texture * | texture ) | `[inline]`

The texture bound to this attachment.

Definition at line 320 of file FramebufferObject.hpp.

Texture* vl::FBOAbstractTextureAttachment::texture | ( | ) | `[inline]`

The texture bound to this attachment.

Definition at line 323 of file FramebufferObject.hpp.

Referenced by vl::FBOTextureLayerAttachment::bindAttachment(), vl::FBOTexture3DAttachment::bindAttachment(), vl::FBOTextureAttachment::bindAttachment(), vl::FBOTexture2DAttachment::bindAttachment(), and vl::FBOTexture1DAttachment::bindAttachment().

const Texture* vl::FBOAbstractTextureAttachment::texture | ( | ) | const`[inline]`

The texture bound to this attachment.

Definition at line 326 of file FramebufferObject.hpp.

void vl::FBOAbstractTextureAttachment::setMipmapLevel | ( | int | mipmap_level ) | `[inline]`

The mipmap level of the texture to attach.

Definition at line 329 of file FramebufferObject.hpp.

int vl::FBOAbstractTextureAttachment::mipmapLevel | ( | ) | const`[inline]`

The mipmap level of the texture to attach.

Definition at line 332 of file FramebufferObject.hpp.

Referenced by vl::FBOTextureLayerAttachment::bindAttachment(), vl::FBOTexture3DAttachment::bindAttachment(), vl::FBOTextureAttachment::bindAttachment(), vl::FBOTexture2DAttachment::bindAttachment(), and vl::FBOTexture1DAttachment::bindAttachment().

## Member Data Documentation

ref<Texture> vl::FBOAbstractTextureAttachment::mTexture`[protected]`

Reimplemented in vl::FBOTextureLayerAttachment.

Definition at line 335 of file FramebufferObject.hpp.

int vl::FBOAbstractTextureAttachment::mMipmapLevel`[protected]`

Reimplemented in vl::FBOTextureLayerAttachment.

Definition at line 336 of file FramebufferObject.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:37.
Permission is granted to use this page to write and publish articles regarding Visualization Library.